package com.jwl.driver.server.controller;


import com.jwl.driver.server.dto.TestSubmitDto;
import com.jwl.driver.server.entity.TdQuestionVersion;
import com.jwl.driver.server.exception.BusinessException;
import com.jwl.driver.server.response.BaseResponse;
import com.jwl.driver.server.service.ITdQuestionVersionService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;

import javax.validation.Valid;
import java.util.Objects;

/**
 * <p>
 * 题库版本表; 前端控制器
 * </p>
 *
 * @author Automated procedures
 * @since 2023-09-03
 */
@Api(tags = "题库版本")
@RestController
@RequestMapping("/tdQuestionVersion")
@Slf4j
public class TdQuestionVersionController {

    @Autowired
    private ITdQuestionVersionService versionService;

    @ApiOperation("获取题库当前版本")
    @GetMapping("/currentVersion")
    public BaseResponse testSubmit(@RequestParam Integer carTypeId) {
        log.info("获取题库当前版本======>carTypeId:{}", carTypeId);
        return BaseResponse.success(versionService.currentVersion(carTypeId));
    }


    @ApiOperation("题库版本更新")
    @PostMapping("/addVersion")
    public BaseResponse addVersion(@RequestBody TdQuestionVersion versionDto) {
        log.info("题库版本更新======>versionDto:{}", versionDto);
        if (Objects.isNull(versionDto.getCarTypeId())){
            throw new BusinessException("缺少必要参数");
        }

        return BaseResponse.success(versionService.addVersion(versionDto));
    }

}
