package com.jwl.driver.server.mapper;

import com.jwl.driver.server.dto.QuestionQueryDto;
import com.jwl.driver.server.entity.TdQuestion;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jwl.driver.server.vo.QuestionVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 题库; Mapper 接口
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
public interface TdQuestionMapper extends BaseMapper<TdQuestion> {

    /**
     * 查询考题
     * @param queryDto
     * @return
     */
    List<QuestionVo> queryQuestion(@Param("queryDto") QuestionQueryDto queryDto);

    /**
     * 获取考题id
     * @param queryDto
     * @return
     */
    List<Long> queryQuestionId(@Param("queryDto") QuestionQueryDto queryDto);

    /**
     * 随机查询考题
     * @param queryDto
     * @return
     */
    List<QuestionVo> queryQuestionByRandom(@Param("queryDto") QuestionQueryDto queryDto);

    /**
     * 随机查询考题Id
     * @param queryDto
     * @return
     */
    List<Long> queryQuestionIdByRandom(@Param("queryDto") QuestionQueryDto queryDto);

    int updateQuestion(@Param("questionVo") QuestionVo questionVo);

    /**
     * 获取专项分类里题目数量
     * @param queryDto
     * @return
     */
    Map<String, Integer> querySpecialNum(@Param("queryDto") QuestionQueryDto queryDto);


}
